Package org.apache.sysds.runtime.compress.colgroup.indexes

# Interface IIterate

public interface IIterate
Class to iterate through the columns of a IColIndex. When initialized it should be at index -1 and then at the call to next you get the first value

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Get if the index has a next index.
`int`
`i()`
Get current index
`int`
`next()`
Get next index
`int`
`v()`
Get current value

## Method Details

### next

int next()
Get next index

Returns:
  the index.

### hasNext

boolean hasNext()
Get if the index has a next index.

Returns:
  the next index.

### v

int v()
Get current value

Returns:
  the value pointing at.

### i

int i()
Get current index

Returns:
  The index currently pointed at